Home

# Class goog.net.ChannelDebug

Logs and keeps a buffer of debugging info for the Channel.

Instance Method Summary
| `debug(string text)` Logs a debug message.
| `dumpException(?Error e, string= opt_msg)` Logs an exception
| `getLogger() ⇒ ?goog.debug.Logger` Gets the logger used by this ChannelDebug.
| `info(string text)` Logs an info message.
| `maybeRedactArray_(?Array array)` Removes data from a response array that may be sensitive.
| `maybeRedactPostData_(?string data) ⇒ ?string` Removes potentially private data from a request POST body so that we don't accidentally save private and personal data to the server logs.
| `redactResponse_(?string responseText) ⇒ ?string` Removes potentially private data from a response so that we don't accidentally save private and personal data to the server logs.
| `severe(string text)` Logs a severe message.
| `timeoutResponse(?goog.Uri uri)` Logs a request timeout.
| `tridentChannelRequest(string verb, ?goog.Uri uri, (number|string|undefined) id, number attempt)` Logs a Trident ActiveX request.
| `tridentChannelResponseDone((number|string|undefined) id, boolean successful)` Logs the done response received from a Trident ActiveX request.
| `tridentChannelResponseText((number|string|undefined) id, string responseText)` Logs the response text received from a Trident ActiveX request.
| `warning(string text)` Logs a warning message.
| `xmlHttpChannelRequest(string verb, ?goog.Uri uri, (number|string|undefined) id, number attempt, ?string postData)` Logs an XmlHttp request..
| `xmlHttpChannelResponseMetaData(string verb, ?goog.Uri uri, (number|string|undefined) id, number attempt, ?goog.net.XmlHttp.ReadyState readyState, number statusCode)` Logs the meta data received from an XmlHttp request.
| `xmlHttpChannelResponseText((number|string|undefined) id, ?string responseText, ?string= opt_desc)` Logs the response data received from an XmlHttp request.